Skip to main content
v1

Resize a desktop window.

POST /v1/desktop/windows/{id}/resize: request parameters and responses.

POST /v1/desktop/windows/{id}/resize

Resizes the specified window to the given dimensions.

Parameters

NameInRequiredTypeDescription
idpathYesstringX11 window ID

Parameter schemas

[
  {
    "name": "id",
    "in": "path",
    "description": "X11 window ID",
    "required": true,
    "schema": {
      "type": "string"
    }
  }
]

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopWindowResizeRequest"
  }
}

Related schemas: DesktopWindowResizeRequest.

Responses

200

Window info after resize

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopWindowInfo"
  }
}

Related schemas: DesktopWindowInfo.

404

Window not found

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.